# Uses of Interface
org.eclipse.e4.ui.model.application.ui.menu.MMenuElement

Packages that use MMenuElement
Package
Description
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of MMenuElement in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MMenuElement in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MDirectMenuItem`
A representation of the model object 'Direct Menu Item'.
`interface`
`MDynamicMenuContribution`
A representation of the model object 'Dynamic Menu Contribution'.
`interface`
`MHandledMenuItem`
A representation of the model object 'Handled Menu Item'.
`interface`
`MMenu`
A representation of the model object 'Menu'.
`interface`
`MMenuItem`
A representation of the model object 'Item'.
`interface`
`MMenuSeparator`
A representation of the model object 'Separator'.
`interface`
`MPopupMenu`
A representation of the model object 'Popup Menu'.

## Uses of MMenuElement in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MMenuElement
Modifier and Type
Class
Description
`class`
`DirectMenuItemImpl`
An implementation of the model object 'Direct Menu Item'.
`class`
`DynamicMenuContributionImpl`
An implementation of the model object 'Dynamic Menu Contribution'.
`class`
`HandledMenuItemImpl`
An implementation of the model object 'Handled Menu Item'.
`class`
`MenuElementImpl`
An implementation of the model object 'Element'.
`class`
`MenuImpl`
An implementation of the model object 'Menu'.
`class`
`MenuItemImpl`
An implementation of the model object 'Item'.
`class`
`MenuSeparatorImpl`
An implementation of the model object 'Separator'.
`class`
`PopupMenuImpl`
An implementation of the model object 'Popup Menu'.
Fields in org.eclipse.e4.ui.model.application.ui.menu.impl declared as MMenuElement
Modifier and Type
Field
Description
`protected MMenuElement`
MenuImpl.`selectedElement`
The cached value of the '`Selected Element`' reference.
Fields in org.eclipse.e4.ui.model.application.ui.menu.impl with type parameters of type MMenuElement
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MMenuElement>`
MenuImpl.`children`
The cached value of the '`Children`' containment reference list.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return MMenuElement
Modifier and Type
Method
Description
`MMenuElement`
MenuImpl.`basicGetSelectedElement()`
`MMenuElement`
MenuImpl.`getSelectedElement()`
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return types with arguments of type MMenuElement
Modifier and Type
Method
Description
`List<MMenuElement>`
MenuContributionImpl.`getChildren()`
This is specialized for the more specific element type known in this context.
`List<MMenuElement>`
MenuImpl.`getChildren()`
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl with parameters of type MMenuElement
Modifier and Type
Method
Description
`void`
MenuContributionImpl.`setSelectedElement(MMenuElement newSelectedElement)`
This is specialized for the more specific type known in this context.
`void`
MenuImpl.`setSelectedElement(MMenuElement newSelectedElement)`

## Uses of MMenuElement in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MMenuElement
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseMenuElement(MMenuElement object)`
Returns the result of interpreting the object as an instance of 'Element'.

## Uses of MMenuElement in org.eclipse.e4.ui.workbench.renderers.swt

Methods in org.eclipse.e4.ui.workbench.renderers.swt that return MMenuElement
Modifier and Type
Method
Description
`MMenuElement`
MenuManagerRenderer.`getMenuElement(IContributionItem item)`
Methods in org.eclipse.e4.ui.workbench.renderers.swt that return types with arguments of type MMenuElement
Modifier and Type
Method
Description
`Collection<MMenuElement>`
ContributionRecord.`getGeneratedElements()`
Access to analyze for tests.
`Collection<MMenuElement>`
ContributionRecord.`getSharedElements()`
Access to analyze for tests.
Methods in org.eclipse.e4.ui.workbench.renderers.swt with parameters of type MMenuElement
Modifier and Type
Method
Description
`void`
MenuManagerRenderer.`addRecord(MMenuElement item, ContributionRecord rec)`
`void`
MenuManagerRenderer.`cleanUpCopy(ContributionRecord record, MMenuElement copy)`
`void`
MenuManagerRenderer.`clearModelToContribution(MMenuElement model, IContributionItem item)`
`boolean`
ContributionRecord.`computeVisibility(HashSet<ContributionRecord> recentlyUpdated, MMenuElement item, ExpressionContext exprContext)`
`IContributionItem`
MenuManagerRenderer.`getContribution(MMenuElement model)`
`ContributionRecord`
MenuManagerRenderer.`getContributionRecord(MMenuElement element)`
`ArrayList<ContributionRecord>`
MenuManagerRenderer.`getList(MMenuElement item)`
`void`
MenuManagerRenderer.`linkElementToContributionRecord(MMenuElement element, ContributionRecord record)`
`void`
MenuManagerRenderer.`linkModelToContribution(MMenuElement model, IContributionItem item)`
`void`
MenuManagerRenderer.`removeRecord(MMenuElement item, ContributionRecord rec)`
`static void`
MenuManagerRenderer.`updateVisibility(MenuManager menuManager, MMenuElement element, ExpressionContext evalContext)`
Method parameters in org.eclipse.e4.ui.workbench.renderers.swt with type arguments of type MMenuElement
Modifier and Type
Method
Description
`void`
MenuManagerRenderer.`removeDynamicMenuContributions(MenuManager menuManager, MMenu menuModel, List<MMenuElement> dump)`
Clean dynamic menu contributions provided by `MDynamicMenuContribution` application model elements